DOSFSCK(8)

NOM
dosfsck - Vérifier et réparer un système de fichiers MS-DOS

SYNOPSIS
dosfsck|fsck.msdos|fsck.vfat [-aAflnrtvVwy] [-d chemin] ... [-u chemin] ... périphérique

DESCRIPTION
dosfsck vérifie la cohérence des systèmes de fichiers MS-DOS et essaye facultativement de les réparer.

Les problèmes suivants du système de fichiers peuvent être corrigés (dans cet ordre) :

*   La Table d'Allocation des Fichiers (FAT pour « File Allocation Table » contient un nombre de blocs invalide. Le bloc est transformé en EOF (End Of File).

*   La chaîne des blocs d'un fichier forme une boucle. La boucle est brisée.

*   Mauvais blocs (erreurs de lecture). Les blocs sont marqués « défectueux » et sont retirés des fichiers qui les possédaient. Cette vérification est optionnelle.

*   Répertoire avec un grand nombre d'entrées incorrectes (il est probablement corrompu). Le répertoire peut être effacé.

*   Des fichiers « . » ou « .. » ne sont pas des répertoires. Ils peuvent être supprimés ou renommés.

*   Présence de répertoires « . » ou « .. » dans le répertoire racine. Ils sont supprimés.

*   Mauvais noms de fichiers. Ils peuvent être renommés.

*   Entrées de répertoire dupliquées. Elles peuvent être supprimées ou renommées.

*   Répertoires avec un champ de taille non nulle. La taille est mise à zéro.

*   Le répertoire « . » ne pointe pas sur le répertoire parent. Le pointeur de départ est ajusté.

*   Le répertoire « .. » ne pointe pas sur le parent du parent. Le pointeur de départ est ajusté.

*   Le nombre de blocs de démarrage d'un fichier est invalide. Le fichier est tronqué.

*   Le fichier contient des blocs libres ou défectueux. Le fichier est tronqué.

*   La chaîne des blocs du fichier est plus longue que celle indiquée dans les champs de taille. Le fichier est tronqué.

*   Deux fichiers (ou davantage) partagent le(s) même(s) bloc(s). Tous les fichiers sauf un sont tronqués. Si le fichier qui est tronqué est un fichier répertoire qui a déjà été lu, la vérification du système de fichiers est redémarré une fois tronqué.

*   La chaîne des blocs d'un fichier est plus courte que ce qu'indiquent les champs tailles. Le fichier est tronqué.

*   Des blocs sont marqués comme utilisés sans appartenir à aucun fichier. Ils sont marqués comme libres.

De plus, les problèmes suivants sont détectés, mais ne sont pas réparés :

*   Paramètres invalides dans le secteur de démarrage.

*   Absence de l'entrée « . » ou « .. » dans un répertoire non-racine.

Quand dosfsck vérifie un système de fichiers, il accumule tous les changements en mémoire et ne les accomplit qu'une fois toutes vérifications terminées. Ceci peut être désactivé par l'option -w.

OPTIONS

-a  Réparer automatiquement le système de fichiers. Aucune intervention de l'utilisateur n'est nécessaire. Quand il y a plus d'une méthode pour corriger un problème, l'approche la moins destructive est choisie.

-A  Utilise la variante Atari du système de fichiers MS-DOS. Si dosfsck fonctionne sur Atari, la variante Atari est automatiquement utilisée, et cette option a alors l'effet inverse : elle désactive le format Atari. Il y a des différences mineures dans le format Atari : les champs du secteur démarrage sont interprétés légèrement différemment, et les entrées spéciales de la table d'allocation des fichiers pour EOF et « bloc défectueux » peuvent être différentes. Sous MS-DOS 0xfff8 est utilisé pour EOF alors qu'Atari utilise 0xffff par défaut. Mais les deux systèmes reconnaissent toutes les valeurs de 0xfff8 à 0xffff comme EOF. MS-DOS utilise uniquement 0xfff7 pour les blocs défectueux, alors qu'Atari utilise les valeurs de 0xfff0 à 0xfff7 à cet effet (mais la valeur standard reste 0xfff7).

-b  Faire une vérification du secteur d'amorçage en lecture seule.

-d  Supprimer le fichier spécifié. Si plus d'un fichier portant ce nom existent, seul le premier est supprimé.

-f  Sauver les chaînes de blocs libres dans des fichiers. Par défaut les blocs libres sont ajoutés à l'espace disque disponible sauf en mode automatique (-a).

-l  Afficher la liste des fichiers en cours de traitement.

-n  Mode sans opérations : vérifie les erreurs de façon non interactive, mais n'écrit rien sur le système de fichiers.

-r  Réparer interactivement le système de fichiers. Le programme demande l'avis de l'utilisateur quand il y plus d'une approche pour corriger une incohérence.

-t  Marque les blocs illisibles comme étant défectueux.

-u  Essayer de restaurer le fichier effacé spécifié. dosfsck essaye d'allouer une chaîne de blocs libres et contiguës commençant avec le bloc de départ du fichier restauré.

-v  Mode verbeux. Génère un peu plus de sortie.

-V  Effectuer une passe de vérification. La vérification du système de fichiers est répétée après la première exécution. La deuxième passe ne doit jamais rapporter d'erreurs qui pourraient être corrigées. Ça peut prendre beaucoup plus de temps que la première passe, car la première passe peut avoir généré une longue liste de modifications qui doivent être vérifiées pour chaque lecture de disque.

-w  Écrit immédiatement les changements sur le disque.

-y  Fait la même chose que -a (répare automatiquement le système de fichiers) pour la compatibilité avec d'autres outils fsck.

Remarque : si -a et -r sont absents, le système de fichiers est seulement vérifié, et non réparé.

CODE DE SORTIE

0   Aucune erreur récupérable n'a été détectée.

1   Des erreurs récupérables ont été détectées ou dosfsck a découvert une incohérence interne.

2   Erreur d'utilisation. dosfsck n'a pas eu accès au système de fichiers.

FICHIERS

fsck0000.rec, fsck0001.rec, ...
    Lors de la récupération d'un système de fichiers, dosfsck place les données récupérées dans des fichiers nommés « fsckNNNN.rec » dans le répertoire de plus haut niveau du système de fichiers.

BOGUES
Ne crée pas les fichiers « . » et « .. » quand c'est nécessaire. Ne supprime pas entièrement les répertoires vides. Devrait afficher davantage de messages de diagnostique. L'effacement des fichiers devrait utiliser un algorithme plus sophistiqué.

VOIR AUSSI
dosfslabel(8)
mkdosfs(8)

PAGE D'ACCUEIL
Plus de renseignements sur dosfsck et dosfstools sont disponibles en <URL:http://www.daniel-baumann.ch/software/dosfstools/>.

AUTEURS
dosfstools a été écrit pas Werner Almesberger <werner.almesberger@lrc.di.epfl.ch>, Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de> et autres. Le mainteneur actuel est Daniel Baumann <mail@daniel-baumann.ch>.

TRADUCTION
La traduction de cette page de manuel est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.